%define anolis_release 2

%global modname semver

Name:           python-%{modname}
Version:        2.13.0
Release:        %{anolis_release}%{?dist}
Summary:        Python helper for Semantic Versioning

License:        BSD
URL:            https://github.com/k-bx/python-semver
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%global _description \
Python module for semantic versioning. Simplifies comparing versions.

%description %{_description}

%package     -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest

%description -n python3-%{modname} %{_description}

Python 3 version.

%package -n     python3-%{modname}-doc
Summary:        Documentation files for %{name}
Requires:       python3-%{modname} = %{EVR}
BuildArch:      noarch

%description -n python3-%{modname}-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup
# Remove settings for coverage from setup.cfg
sed -i '/-cov[=-]/d' setup.cfg
# Fix tests for Python 3.10
# Proposed upstream: https://github.com/python-semver/python-semver/pull/336
sed -i 's/TypeError: __init__() got an unexpected/TypeError: ...__init__() got an unexpected/' docs/usage.rst

%build
%py3_build

%install
%py3_install

%check
py.test-%{python3_version} -v

%files -n python3-%{modname}
%license LICENSE.txt
%{_bindir}/py%{modname}
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}.py
%{python3_sitelib}/__pycache__/%{modname}.*

%files -n python3-%{modname}-doc
%doc README.rst CHANGELOG.rst

%changelog
* Wed Dec 13 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.13.0-2
- rebuild

* Tue Mar 28 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 2.13.0-1
- Init from upstream
